#line 1 "funcs.c"
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:ABORTDOC, hdc)
{
  object arg;
  int int0;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  int0 = AbortDoc(hdc);
  end_system_call();
  if(0 <=int0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = sint32_to_I(int0);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:ABORTPATH, hdc)
{
  object arg;
  BOOL bool0;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = AbortPath(hdc);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:ADDATOMA, lpcstr)
{
  object arg;
  ATOM atom;
  LPCSTR lpcstr;
  arg = popSTACK();
  if(!stringp(arg))argumentum_inritum(arg);
  lpcstr = TheAsciz(string_to_asciz(arg,encoding));
  begin_system_call();
  atom = AddAtomA(lpcstr);
  end_system_call();
  if(0 ==atom){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = allocate_fpointer(atom);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:ADDATOMW, lpcwstr)
{
  object arg;
  ATOM atom;
  LPCWSTR lpcwstr;
  arg = popSTACK();
  if(!stringp(arg))argumentum_inritum(arg);
  lpcwstr = WIDECHAR(arg,encoding);
  begin_system_call();
  atom = AddAtomW(lpcwstr);
  end_system_call();
  if(0 ==atom){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = allocate_fpointer(atom);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:BEGINPATH, hdc)
{
  object arg;
  BOOL bool0;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = BeginPath(hdc);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:CANCELDC, hdc)
{
  object arg;
  BOOL bool0;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = CancelDC(hdc);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:CLOSEENHMETAFILE, hdc)
{
  object arg;
  HENHMETAFILE henhmetafile;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  henhmetafile = CloseEnhMetaFile(hdc);
  end_system_call();
  if(NULL ==henhmetafile){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = allocate_fpointer(henhmetafile);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:CLOSEFIGURE, hdc)
{
  object arg;
  BOOL bool0;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = CloseFigure(hdc);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:CLOSEMETAFILE, hdc)
{
  object arg;
  HMETAFILE hmetafile;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  hmetafile = CloseMetaFile(hdc);
  end_system_call();
  if(NULL ==hmetafile){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = allocate_fpointer(hmetafile);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:COLORMATCHTOTARGET, hdc hdc0 dword)
{
  object arg;
  BOOL bool0;
  HDC hdc;
  HDC hdc0;
  DWORD dword;
  arg = popSTACK();
  check_uint(arg);
  dword = I_to_uint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc0 = TheFpointer(arg)->fp_pointer;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = ColorMatchToTarget(hdc,hdc0,dword);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:COMBINERGN, hrgn hrgn0 hrgn1 int0)
{
  object arg;
  int int1;
  HRGN hrgn;
  HRGN hrgn0;
  HRGN hrgn1;
  int int0;
  arg = popSTACK();
  check_sint(arg);
  int0 = I_to_sint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hrgn1 = TheFpointer(arg)->fp_pointer;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hrgn0 = TheFpointer(arg)->fp_pointer;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hrgn = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  int1 = CombineRgn(hrgn,hrgn0,hrgn1,int0);
  end_system_call();
  if(0 <=int1){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = sint32_to_I(int1);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:CREATECOMPATIBLEBITMAP, hdc int0 int1)
{
  object arg;
  HBITMAP hbitmap;
  HDC hdc;
  int int0;
  int int1;
  arg = popSTACK();
  check_sint(arg);
  int1 = I_to_sint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int0 = I_to_sint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  hbitmap = CreateCompatibleBitmap(hdc,int0,int1);
  end_system_call();
  if(NULL ==hbitmap){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = allocate_fpointer(hbitmap);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:CREATECOMPATIBLEDC, hdc)
{
  object arg;
  HDC hdc0;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  hdc0 = CreateCompatibleDC(hdc);
  end_system_call();
  if(NULL ==hdc0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = allocate_fpointer(hdc0);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:CREATEDIBPATTERNBRUSH, hglobal uint)
{
  object arg;
  HBRUSH hbrush;
  HGLOBAL hglobal;
  UINT uint;
  arg = popSTACK();
  check_uint(arg);
  uint = I_to_uint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hglobal = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  hbrush = CreateDIBPatternBrush(hglobal,uint);
  end_system_call();
  if(NULL ==hbrush){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = allocate_fpointer(hbrush);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:CREATEDISCARDABLEBITMAP, hdc int0 int1)
{
  object arg;
  HBITMAP hbitmap;
  HDC hdc;
  int int0;
  int int1;
  arg = popSTACK();
  check_sint(arg);
  int1 = I_to_sint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int0 = I_to_sint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  hbitmap = CreateDiscardableBitmap(hdc,int0,int1);
  end_system_call();
  if(NULL ==hbitmap){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = allocate_fpointer(hbitmap);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:CREATEELLIPTICRGN, int0 int1 int2 int3)
{
  object arg;
  HRGN hrgn;
  int int0;
  int int1;
  int int2;
  int int3;
  arg = popSTACK();
  check_sint(arg);
  int3 = I_to_sint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int2 = I_to_sint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int1 = I_to_sint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int0 = I_to_sint32(arg);
  begin_system_call();
  hrgn = CreateEllipticRgn(int0,int1,int2,int3);
  end_system_call();
  if(NULL ==hrgn){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = allocate_fpointer(hrgn);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:CREATEHALFTONEPALETTE, hdc)
{
  object arg;
  HPALETTE hpalette;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  hpalette = CreateHalftonePalette(hdc);
  end_system_call();
  if(NULL ==hpalette){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = allocate_fpointer(hpalette);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:CREATEHATCHBRUSH, int0 colorref)
{
  object arg;
  HBRUSH hbrush;
  int int0;
  COLORREF colorref;
  arg = popSTACK();
  check_uint(arg);
  colorref = I_to_uint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int0 = I_to_sint32(arg);
  begin_system_call();
  hbrush = CreateHatchBrush(int0,colorref);
  end_system_call();
  if(NULL ==hbrush){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = allocate_fpointer(hbrush);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:CREATEPATTERNBRUSH, hbitmap)
{
  object arg;
  HBRUSH hbrush;
  HBITMAP hbitmap;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hbitmap = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  hbrush = CreatePatternBrush(hbitmap);
  end_system_call();
  if(NULL ==hbrush){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = allocate_fpointer(hbrush);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:CREATEPEN, int0 int1 colorref)
{
  object arg;
  HPEN hpen;
  int int0;
  int int1;
  COLORREF colorref;
  arg = popSTACK();
  check_uint(arg);
  colorref = I_to_uint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int1 = I_to_sint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int0 = I_to_sint32(arg);
  begin_system_call();
  hpen = CreatePen(int0,int1,colorref);
  end_system_call();
  if(NULL ==hpen){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = allocate_fpointer(hpen);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:CREATERECTRGN, int0 int1 int2 int3)
{
  object arg;
  HRGN hrgn;
  int int0;
  int int1;
  int int2;
  int int3;
  arg = popSTACK();
  check_sint(arg);
  int3 = I_to_sint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int2 = I_to_sint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int1 = I_to_sint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int0 = I_to_sint32(arg);
  begin_system_call();
  hrgn = CreateRectRgn(int0,int1,int2,int3);
  end_system_call();
  if(NULL ==hrgn){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = allocate_fpointer(hrgn);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:CREATESOLIDBRUSH, colorref)
{
  object arg;
  HBRUSH hbrush;
  COLORREF colorref;
  arg = popSTACK();
  check_uint(arg);
  colorref = I_to_uint32(arg);
  begin_system_call();
  hbrush = CreateSolidBrush(colorref);
  end_system_call();
  if(NULL ==hbrush){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = allocate_fpointer(hbrush);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:DELETECOLORSPACE, hcolorspace)
{
  object arg;
  BOOL bool0;
  HCOLORSPACE hcolorspace;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hcolorspace = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = DeleteColorSpace(hcolorspace);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:DELETEDC, hdc)
{
  object arg;
  BOOL bool0;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = DeleteDC(hdc);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:DELETEENHMETAFILE, henhmetafile)
{
  object arg;
  BOOL bool0;
  HENHMETAFILE henhmetafile;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  henhmetafile = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = DeleteEnhMetaFile(henhmetafile);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:DELETEMETAFILE, hmetafile)
{
  object arg;
  BOOL bool0;
  HMETAFILE hmetafile;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hmetafile = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = DeleteMetaFile(hmetafile);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:DELETEOBJECT, hgdiobj)
{
  object arg;
  BOOL bool0;
  HGDIOBJ hgdiobj;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hgdiobj = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = DeleteObject(hgdiobj);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:ELLIPSE, hdc int0 int1 int2 int3)
{
  object arg;
  BOOL bool0;
  HDC hdc;
  int int0;
  int int1;
  int int2;
  int int3;
  arg = popSTACK();
  check_sint(arg);
  int3 = I_to_sint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int2 = I_to_sint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int1 = I_to_sint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int0 = I_to_sint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = Ellipse(hdc,int0,int1,int2,int3);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:ENDDOC, hdc)
{
  object arg;
  int int0;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  int0 = EndDoc(hdc);
  end_system_call();
  if(0 <=int0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = sint32_to_I(int0);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:ENDPAGE, hdc)
{
  object arg;
  int int0;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  int0 = EndPage(hdc);
  end_system_call();
  if(0 <=int0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = sint32_to_I(int0);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:ENDPATH, hdc)
{
  object arg;
  BOOL bool0;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = EndPath(hdc);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:EQUALRGN, hrgn hrgn0)
{
  object arg;
  BOOL bool0;
  HRGN hrgn;
  HRGN hrgn0;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hrgn0 = TheFpointer(arg)->fp_pointer;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hrgn = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = EqualRgn(hrgn,hrgn0);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:ESCAPECOMMFUNCTION, handle dword)
{
  object arg;
  BOOL bool0;
  HANDLE handle;
  DWORD dword;
  arg = popSTACK();
  check_uint(arg);
  dword = I_to_uint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  handle = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = EscapeCommFunction(handle,dword);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:EXCLUDECLIPRECT, hdc int0 int1 int2 int3)
{
  object arg;
  int int4;
  HDC hdc;
  int int0;
  int int1;
  int int2;
  int int3;
  arg = popSTACK();
  check_sint(arg);
  int3 = I_to_sint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int2 = I_to_sint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int1 = I_to_sint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int0 = I_to_sint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  int4 = ExcludeClipRect(hdc,int0,int1,int2,int3);
  end_system_call();
  if(0 <=int4){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = sint32_to_I(int4);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:EXTFLOODFILL, hdc int0 int1 colorref uint)
{
  object arg;
  BOOL bool0;
  HDC hdc;
  int int0;
  int int1;
  COLORREF colorref;
  UINT uint;
  arg = popSTACK();
  check_uint(arg);
  uint = I_to_uint32(arg);
  arg = popSTACK();
  check_uint(arg);
  colorref = I_to_uint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int1 = I_to_sint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int0 = I_to_sint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = ExtFloodFill(hdc,int0,int1,colorref,uint);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:EXTSELECTCLIPRGN, hdc hrgn int0)
{
  object arg;
  int int1;
  HDC hdc;
  HRGN hrgn;
  int int0;
  arg = popSTACK();
  check_sint(arg);
  int0 = I_to_sint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hrgn = TheFpointer(arg)->fp_pointer;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  int1 = ExtSelectClipRgn(hdc,hrgn,int0);
  end_system_call();
  if(0 <=int1){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = sint32_to_I(int1);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:FILLPATH, hdc)
{
  object arg;
  BOOL bool0;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = FillPath(hdc);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:FILLRGN, hdc hrgn hbrush)
{
  object arg;
  int int0;
  HDC hdc;
  HRGN hrgn;
  HBRUSH hbrush;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hbrush = TheFpointer(arg)->fp_pointer;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hrgn = TheFpointer(arg)->fp_pointer;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  int0 = FillRgn(hdc,hrgn,hbrush);
  end_system_call();
  if(0 <=int0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = sint32_to_I(int0);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:FINDATOMA, lpcstr)
{
  object arg;
  ATOM atom;
  LPCSTR lpcstr;
  arg = popSTACK();
  if(!stringp(arg))argumentum_inritum(arg);
  lpcstr = TheAsciz(string_to_asciz(arg,encoding));
  begin_system_call();
  atom = FindAtomA(lpcstr);
  end_system_call();
  if(0 ==atom){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = allocate_fpointer(atom);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:FINDATOMW, lpcwstr)
{
  object arg;
  ATOM atom;
  LPCWSTR lpcwstr;
  arg = popSTACK();
  if(!stringp(arg))argumentum_inritum(arg);
  lpcwstr = WIDECHAR(arg,encoding);
  begin_system_call();
  atom = FindAtomW(lpcwstr);
  end_system_call();
  if(0 ==atom){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = allocate_fpointer(atom);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:FLATTENPATH, hdc)
{
  object arg;
  BOOL bool0;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = FlattenPath(hdc);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:FLOODFILL, hdc int0 int1 colorref)
{
  object arg;
  BOOL bool0;
  HDC hdc;
  int int0;
  int int1;
  COLORREF colorref;
  arg = popSTACK();
  check_uint(arg);
  colorref = I_to_uint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int1 = I_to_sint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int0 = I_to_sint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = FloodFill(hdc,int0,int1,colorref);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:FRAMERGN, hdc hrgn hbrush int0 int1)
{
  object arg;
  BOOL bool0;
  HDC hdc;
  HRGN hrgn;
  HBRUSH hbrush;
  int int0;
  int int1;
  arg = popSTACK();
  check_sint(arg);
  int1 = I_to_sint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int0 = I_to_sint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hbrush = TheFpointer(arg)->fp_pointer;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hrgn = TheFpointer(arg)->fp_pointer;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = FrameRgn(hdc,hrgn,hbrush,int0,int1);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:GDISETBATCHLIMIT, dword)
{
  object arg;
  DWORD dword0;
  DWORD dword;
  arg = popSTACK();
  check_uint(arg);
  dword = I_to_uint32(arg);
  begin_system_call();
  dword0 = GdiSetBatchLimit(dword);
  end_system_call();
  if(0 <=dword0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = uint32_to_I(dword0);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:GETARCDIRECTION, hdc)
{
  object arg;
  int int0;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  int0 = GetArcDirection(hdc);
  end_system_call();
  if(0 <=int0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = sint32_to_I(int0);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:GETBKCOLOR, hdc)
{
  object arg;
  COLORREF colorref;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  colorref = GetBkColor(hdc);
  end_system_call();
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:GETBKMODE, hdc)
{
  object arg;
  int int0;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  int0 = GetBkMode(hdc);
  end_system_call();
  if(0 <=int0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = sint32_to_I(int0);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:GETCLIPRGN, hdc hrgn)
{
  object arg;
  int int0;
  HDC hdc;
  HRGN hrgn;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hrgn = TheFpointer(arg)->fp_pointer;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  int0 = GetClipRgn(hdc,hrgn);
  end_system_call();
  if(0 <=int0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = sint32_to_I(int0);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:GETCOLORSPACE, hdc)
{
  object arg;
  HANDLE handle;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  handle = GetColorSpace(hdc);
  end_system_call();
  if(NULL ==handle){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = allocate_fpointer(handle);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:GETCURRENTOBJECT, hdc uint)
{
  object arg;
  HGDIOBJ hgdiobj;
  HDC hdc;
  UINT uint;
  arg = popSTACK();
  check_uint(arg);
  uint = I_to_uint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  hgdiobj = GetCurrentObject(hdc,uint);
  end_system_call();
  if(NULL ==hgdiobj){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = allocate_fpointer(hgdiobj);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:GETFONTLANGUAGEINFO, hdc)
{
  object arg;
  DWORD dword;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  dword = GetFontLanguageInfo(hdc);
  end_system_call();
  if(0 <=dword){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = uint32_to_I(dword);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:GETGRAPHICSMODE, hdc)
{
  object arg;
  int int0;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  int0 = GetGraphicsMode(hdc);
  end_system_call();
  if(0 <=int0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = sint32_to_I(int0);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:GETMAPMODE, hdc)
{
  object arg;
  int int0;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  int0 = GetMapMode(hdc);
  end_system_call();
  if(0 <=int0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = sint32_to_I(int0);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:GETMETARGN, hdc hrgn)
{
  object arg;
  int int0;
  HDC hdc;
  HRGN hrgn;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hrgn = TheFpointer(arg)->fp_pointer;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  int0 = GetMetaRgn(hdc,hrgn);
  end_system_call();
  if(0 <=int0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = sint32_to_I(int0);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:GETNEARESTCOLOR, hdc colorref)
{
  object arg;
  COLORREF colorref0;
  HDC hdc;
  COLORREF colorref;
  arg = popSTACK();
  check_uint(arg);
  colorref = I_to_uint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  colorref0 = GetNearestColor(hdc,colorref);
  end_system_call();
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:GETNEARESTPALETTEINDEX, hpalette colorref)
{
  object arg;
  UINT uint;
  HPALETTE hpalette;
  COLORREF colorref;
  arg = popSTACK();
  check_uint(arg);
  colorref = I_to_uint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hpalette = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  uint = GetNearestPaletteIndex(hpalette,colorref);
  end_system_call();
  if(0 <=uint){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = uint32_to_I(uint);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:GETOBJECTTYPE, hgdiobj)
{
  object arg;
  DWORD dword;
  HGDIOBJ hgdiobj;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hgdiobj = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  dword = GetObjectType(hgdiobj);
  end_system_call();
  if(0 <=dword){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = uint32_to_I(dword);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:GETPIXEL, hdc int0 int1)
{
  object arg;
  COLORREF colorref;
  HDC hdc;
  int int0;
  int int1;
  arg = popSTACK();
  check_sint(arg);
  int1 = I_to_sint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int0 = I_to_sint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  colorref = GetPixel(hdc,int0,int1);
  end_system_call();
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:GETPIXELFORMAT, hdc)
{
  object arg;
  int int0;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  int0 = GetPixelFormat(hdc);
  end_system_call();
  if(0 <=int0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = sint32_to_I(int0);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:GETPOLYFILLMODE, hdc)
{
  object arg;
  int int0;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  int0 = GetPolyFillMode(hdc);
  end_system_call();
  if(0 <=int0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = sint32_to_I(int0);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:GETROP2, hdc)
{
  object arg;
  int int0;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  int0 = GetROP2(hdc);
  end_system_call();
  if(0 <=int0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = sint32_to_I(int0);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:GETSTOCKOBJECT, int0)
{
  object arg;
  HGDIOBJ hgdiobj;
  int int0;
  arg = popSTACK();
  check_sint(arg);
  int0 = I_to_sint32(arg);
  begin_system_call();
  hgdiobj = GetStockObject(int0);
  end_system_call();
  if(NULL ==hgdiobj){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = allocate_fpointer(hgdiobj);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:GETSTRETCHBLTMODE, hdc)
{
  object arg;
  int int0;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  int0 = GetStretchBltMode(hdc);
  end_system_call();
  if(0 <=int0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = sint32_to_I(int0);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:GETSYSTEMPALETTEUSE, hdc)
{
  object arg;
  UINT uint;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  uint = GetSystemPaletteUse(hdc);
  end_system_call();
  if(0 <=uint){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = uint32_to_I(uint);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:GETTEXTALIGN, hdc)
{
  object arg;
  UINT uint;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  uint = GetTextAlign(hdc);
  end_system_call();
  if(0 <=uint){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = uint32_to_I(uint);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:GETTEXTCHARACTEREXTRA, hdc)
{
  object arg;
  int int0;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  int0 = GetTextCharacterExtra(hdc);
  end_system_call();
  if(0 <=int0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = sint32_to_I(int0);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:GETTEXTCHARSET, hdc)
{
  object arg;
  int int0;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  int0 = GetTextCharset(hdc);
  end_system_call();
  if(0 <=int0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = sint32_to_I(int0);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:GETTEXTCOLOR, hdc)
{
  object arg;
  COLORREF colorref;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  colorref = GetTextColor(hdc);
  end_system_call();
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:GLOBALADDATOMA, lpcstr)
{
  object arg;
  ATOM atom;
  LPCSTR lpcstr;
  arg = popSTACK();
  if(!stringp(arg))argumentum_inritum(arg);
  lpcstr = TheAsciz(string_to_asciz(arg,encoding));
  begin_system_call();
  atom = GlobalAddAtomA(lpcstr);
  end_system_call();
  if(0 ==atom){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = allocate_fpointer(atom);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:GLOBALADDATOMW, lpcwstr)
{
  object arg;
  ATOM atom;
  LPCWSTR lpcwstr;
  arg = popSTACK();
  if(!stringp(arg))argumentum_inritum(arg);
  lpcwstr = WIDECHAR(arg,encoding);
  begin_system_call();
  atom = GlobalAddAtomW(lpcwstr);
  end_system_call();
  if(0 ==atom){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = allocate_fpointer(atom);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:GLOBALFINDATOMA, lpcstr)
{
  object arg;
  ATOM atom;
  LPCSTR lpcstr;
  arg = popSTACK();
  if(!stringp(arg))argumentum_inritum(arg);
  lpcstr = TheAsciz(string_to_asciz(arg,encoding));
  begin_system_call();
  atom = GlobalFindAtomA(lpcstr);
  end_system_call();
  if(0 ==atom){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = allocate_fpointer(atom);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:GLOBALFINDATOMW, lpcwstr)
{
  object arg;
  ATOM atom;
  LPCWSTR lpcwstr;
  arg = popSTACK();
  if(!stringp(arg))argumentum_inritum(arg);
  lpcwstr = WIDECHAR(arg,encoding);
  begin_system_call();
  atom = GlobalFindAtomW(lpcwstr);
  end_system_call();
  if(0 ==atom){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = allocate_fpointer(atom);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:INTERSECTCLIPRECT, hdc int0 int1 int2 int3)
{
  object arg;
  int int4;
  HDC hdc;
  int int0;
  int int1;
  int int2;
  int int3;
  arg = popSTACK();
  check_sint(arg);
  int3 = I_to_sint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int2 = I_to_sint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int1 = I_to_sint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int0 = I_to_sint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  int4 = IntersectClipRect(hdc,int0,int1,int2,int3);
  end_system_call();
  if(0 <=int4){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = sint32_to_I(int4);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:INVERTRGN, hdc hrgn)
{
  object arg;
  BOOL bool0;
  HDC hdc;
  HRGN hrgn;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hrgn = TheFpointer(arg)->fp_pointer;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = InvertRgn(hdc,hrgn);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:LINETO, hdc int0 int1)
{
  object arg;
  BOOL bool0;
  HDC hdc;
  int int0;
  int int1;
  arg = popSTACK();
  check_sint(arg);
  int1 = I_to_sint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int0 = I_to_sint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = LineTo(hdc,int0,int1);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:LOADCURSORFROMFILEA, lpcstr)
{
  object arg;
  HCURSOR hcursor;
  LPCSTR lpcstr;
  arg = popSTACK();
  if(!stringp(arg))argumentum_inritum(arg);
  lpcstr = TheAsciz(string_to_asciz(arg,encoding));
  begin_system_call();
  hcursor = LoadCursorFromFileA(lpcstr);
  end_system_call();
  if(NULL ==hcursor){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = allocate_fpointer(hcursor);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:LOADCURSORFROMFILEW, lpcwstr)
{
  object arg;
  HCURSOR hcursor;
  LPCWSTR lpcwstr;
  arg = popSTACK();
  if(!stringp(arg))argumentum_inritum(arg);
  lpcwstr = WIDECHAR(arg,encoding);
  begin_system_call();
  hcursor = LoadCursorFromFileW(lpcwstr);
  end_system_call();
  if(NULL ==hcursor){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = allocate_fpointer(hcursor);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:OFFSETCLIPRGN, hdc int0 int1)
{
  object arg;
  int int2;
  HDC hdc;
  int int0;
  int int1;
  arg = popSTACK();
  check_sint(arg);
  int1 = I_to_sint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int0 = I_to_sint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  int2 = OffsetClipRgn(hdc,int0,int1);
  end_system_call();
  if(0 <=int2){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = sint32_to_I(int2);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:OFFSETRGN, hrgn int0 int1)
{
  object arg;
  int int2;
  HRGN hrgn;
  int int0;
  int int1;
  arg = popSTACK();
  check_sint(arg);
  int1 = I_to_sint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int0 = I_to_sint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hrgn = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  int2 = OffsetRgn(hrgn,int0,int1);
  end_system_call();
  if(0 <=int2){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = sint32_to_I(int2);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:PAINTRGN, hdc hrgn)
{
  object arg;
  BOOL bool0;
  HDC hdc;
  HRGN hrgn;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hrgn = TheFpointer(arg)->fp_pointer;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = PaintRgn(hdc,hrgn);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:PATHTOREGION, hdc)
{
  object arg;
  HRGN hrgn;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  hrgn = PathToRegion(hdc);
  end_system_call();
  if(NULL ==hrgn){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = allocate_fpointer(hrgn);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:PLAYMETAFILE, hdc hmetafile)
{
  object arg;
  BOOL bool0;
  HDC hdc;
  HMETAFILE hmetafile;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hmetafile = TheFpointer(arg)->fp_pointer;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = PlayMetaFile(hdc,hmetafile);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:PTINREGION, hrgn int0 int1)
{
  object arg;
  BOOL bool0;
  HRGN hrgn;
  int int0;
  int int1;
  arg = popSTACK();
  check_sint(arg);
  int1 = I_to_sint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int0 = I_to_sint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hrgn = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = PtInRegion(hrgn,int0,int1);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:PTVISIBLE, hdc int0 int1)
{
  object arg;
  BOOL bool0;
  HDC hdc;
  int int0;
  int int1;
  arg = popSTACK();
  check_sint(arg);
  int1 = I_to_sint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int0 = I_to_sint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = PtVisible(hdc,int0,int1);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:REALIZEPALETTE, hdc)
{
  object arg;
  UINT uint;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  uint = RealizePalette(hdc);
  end_system_call();
  if(0 <=uint){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = uint32_to_I(uint);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:RECTANGLE, hdc int0 int1 int2 int3)
{
  object arg;
  BOOL bool0;
  HDC hdc;
  int int0;
  int int1;
  int int2;
  int int3;
  arg = popSTACK();
  check_sint(arg);
  int3 = I_to_sint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int2 = I_to_sint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int1 = I_to_sint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int0 = I_to_sint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = Rectangle(hdc,int0,int1,int2,int3);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:RESIZEPALETTE, hpalette uint)
{
  object arg;
  BOOL bool0;
  HPALETTE hpalette;
  UINT uint;
  arg = popSTACK();
  check_uint(arg);
  uint = I_to_uint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hpalette = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = ResizePalette(hpalette,uint);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:RESTOREDC, hdc int0)
{
  object arg;
  BOOL bool0;
  HDC hdc;
  int int0;
  arg = popSTACK();
  check_sint(arg);
  int0 = I_to_sint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = RestoreDC(hdc,int0);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:SAVEDC, hdc)
{
  object arg;
  int int0;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  int0 = SaveDC(hdc);
  end_system_call();
  if(0 <=int0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = sint32_to_I(int0);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:SELECTCLIPPATH, hdc int0)
{
  object arg;
  BOOL bool0;
  HDC hdc;
  int int0;
  arg = popSTACK();
  check_sint(arg);
  int0 = I_to_sint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = SelectClipPath(hdc,int0);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:SELECTCLIPRGN, hdc hrgn)
{
  object arg;
  int int0;
  HDC hdc;
  HRGN hrgn;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hrgn = TheFpointer(arg)->fp_pointer;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  int0 = SelectClipRgn(hdc,hrgn);
  end_system_call();
  if(0 <=int0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = sint32_to_I(int0);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:SELECTOBJECT, hdc hgdiobj)
{
  object arg;
  HGDIOBJ hgdiobj0;
  HDC hdc;
  HGDIOBJ hgdiobj;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hgdiobj = TheFpointer(arg)->fp_pointer;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  hgdiobj0 = SelectObject(hdc,hgdiobj);
  end_system_call();
  if(NULL ==hgdiobj0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = allocate_fpointer(hgdiobj0);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:SETARCDIRECTION, hdc int0)
{
  object arg;
  int int1;
  HDC hdc;
  int int0;
  arg = popSTACK();
  check_sint(arg);
  int0 = I_to_sint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  int1 = SetArcDirection(hdc,int0);
  end_system_call();
  if(0 <=int1){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = sint32_to_I(int1);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:SETBKCOLOR, hdc colorref)
{
  object arg;
  COLORREF colorref0;
  HDC hdc;
  COLORREF colorref;
  arg = popSTACK();
  check_uint(arg);
  colorref = I_to_uint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  colorref0 = SetBkColor(hdc,colorref);
  end_system_call();
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:SETBKMODE, hdc int0)
{
  object arg;
  int int1;
  HDC hdc;
  int int0;
  arg = popSTACK();
  check_sint(arg);
  int0 = I_to_sint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  int1 = SetBkMode(hdc,int0);
  end_system_call();
  if(0 <=int1){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = sint32_to_I(int1);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:SETCOLORSPACE, hdc hcolorspace)
{
  object arg;
  BOOL bool0;
  HDC hdc;
  HCOLORSPACE hcolorspace;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hcolorspace = TheFpointer(arg)->fp_pointer;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = SetColorSpace(hdc,hcolorspace);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:SETGRAPHICSMODE, hdc int0)
{
  object arg;
  int int1;
  HDC hdc;
  int int0;
  arg = popSTACK();
  check_sint(arg);
  int0 = I_to_sint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  int1 = SetGraphicsMode(hdc,int0);
  end_system_call();
  if(0 <=int1){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = sint32_to_I(int1);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:SETICMMODE, hdc int0)
{
  object arg;
  int int1;
  HDC hdc;
  int int0;
  arg = popSTACK();
  check_sint(arg);
  int0 = I_to_sint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  int1 = SetICMMode(hdc,int0);
  end_system_call();
  if(0 <=int1){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = sint32_to_I(int1);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:SETMAPMODE, hdc int0)
{
  object arg;
  int int1;
  HDC hdc;
  int int0;
  arg = popSTACK();
  check_sint(arg);
  int0 = I_to_sint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  int1 = SetMapMode(hdc,int0);
  end_system_call();
  if(0 <=int1){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = sint32_to_I(int1);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:SETMAPPERFLAGS, hdc dword)
{
  object arg;
  DWORD dword0;
  HDC hdc;
  DWORD dword;
  arg = popSTACK();
  check_uint(arg);
  dword = I_to_uint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  dword0 = SetMapperFlags(hdc,dword);
  end_system_call();
  if(0 <=dword0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = uint32_to_I(dword0);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:SETMETARGN, hdc)
{
  object arg;
  int int0;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  int0 = SetMetaRgn(hdc);
  end_system_call();
  if(0 <=int0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = sint32_to_I(int0);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:SETPOLYFILLMODE, hdc int0)
{
  object arg;
  int int1;
  HDC hdc;
  int int0;
  arg = popSTACK();
  check_sint(arg);
  int0 = I_to_sint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  int1 = SetPolyFillMode(hdc,int0);
  end_system_call();
  if(0 <=int1){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = sint32_to_I(int1);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:SETROP2, hdc int0)
{
  object arg;
  int int1;
  HDC hdc;
  int int0;
  arg = popSTACK();
  check_sint(arg);
  int0 = I_to_sint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  int1 = SetROP2(hdc,int0);
  end_system_call();
  if(0 <=int1){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = sint32_to_I(int1);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:SETRECTRGN, hrgn int0 int1 int2 int3)
{
  object arg;
  BOOL bool0;
  HRGN hrgn;
  int int0;
  int int1;
  int int2;
  int int3;
  arg = popSTACK();
  check_sint(arg);
  int3 = I_to_sint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int2 = I_to_sint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int1 = I_to_sint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int0 = I_to_sint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hrgn = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = SetRectRgn(hrgn,int0,int1,int2,int3);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:SETSTRETCHBLTMODE, hdc int0)
{
  object arg;
  int int1;
  HDC hdc;
  int int0;
  arg = popSTACK();
  check_sint(arg);
  int0 = I_to_sint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  int1 = SetStretchBltMode(hdc,int0);
  end_system_call();
  if(0 <=int1){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = sint32_to_I(int1);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:SETSYSTEMPALETTEUSE, hdc uint)
{
  object arg;
  UINT uint0;
  HDC hdc;
  UINT uint;
  arg = popSTACK();
  check_uint(arg);
  uint = I_to_uint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  uint0 = SetSystemPaletteUse(hdc,uint);
  end_system_call();
  if(0 <=uint0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = uint32_to_I(uint0);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:SETTEXTALIGN, hdc uint)
{
  object arg;
  UINT uint0;
  HDC hdc;
  UINT uint;
  arg = popSTACK();
  check_uint(arg);
  uint = I_to_uint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  uint0 = SetTextAlign(hdc,uint);
  end_system_call();
  if(0 <=uint0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = uint32_to_I(uint0);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:SETTEXTCHARACTEREXTRA, hdc int0)
{
  object arg;
  int int1;
  HDC hdc;
  int int0;
  arg = popSTACK();
  check_sint(arg);
  int0 = I_to_sint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  int1 = SetTextCharacterExtra(hdc,int0);
  end_system_call();
  if(0 <=int1){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = sint32_to_I(int1);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:SETTEXTJUSTIFICATION, hdc int0 int1)
{
  object arg;
  BOOL bool0;
  HDC hdc;
  int int0;
  int int1;
  arg = popSTACK();
  check_sint(arg);
  int1 = I_to_sint32(arg);
  arg = popSTACK();
  check_sint(arg);
  int0 = I_to_sint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = SetTextJustification(hdc,int0,int1);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:SHOWWINDOW, hwnd int0)
{
  object arg;
  BOOL bool0;
  HWND hwnd;
  int int0;
  arg = popSTACK();
  check_sint(arg);
  int0 = I_to_sint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hwnd = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = ShowWindow(hwnd,int0);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:SHOWWINDOWASYNC, hwnd int0)
{
  object arg;
  BOOL bool0;
  HWND hwnd;
  int int0;
  arg = popSTACK();
  check_sint(arg);
  int0 = I_to_sint32(arg);
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hwnd = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = ShowWindowAsync(hwnd,int0);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:STARTPAGE, hdc)
{
  object arg;
  int int0;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  int0 = StartPage(hdc);
  end_system_call();
  if(0 <=int0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    value2 = sint32_to_I(int0);
    mv_count=2;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:STROKEANDFILLPATH, hdc)
{
  object arg;
  BOOL bool0;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = StrokeAndFillPath(hdc);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:STROKEPATH, hdc)
{
  object arg;
  BOOL bool0;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = StrokePath(hdc);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:SWAPBUFFERS, hdc)
{
  object arg;
  BOOL bool0;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = SwapBuffers(hdc);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:UNREALIZEOBJECT, hgdiobj)
{
  object arg;
  BOOL bool0;
  HGDIOBJ hgdiobj;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hgdiobj = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = UnrealizeObject(hgdiobj);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:UPDATECOLORS, hdc)
{
  object arg;
  BOOL bool0;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = UpdateColors(hdc);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:UPDATEWINDOW, hwnd)
{
  object arg;
  BOOL bool0;
  HWND hwnd;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hwnd = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = UpdateWindow(hwnd);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
// untested - was never called
// uninspected - compiles but code was not checked
DEFUN( GDI:WIDENPATH, hdc)
{
  object arg;
  BOOL bool0;
  HDC hdc;
  arg = popSTACK();
  if(!fpointerp(arg))argumentum_inritum(arg);
  hdc = TheFpointer(arg)->fp_pointer;
  begin_system_call();
  bool0 = WidenPath(hdc);
  end_system_call();
  if(!bool0){
    DWORD e;
    begin_system_call();
    e = GetLastError();
    end_system_call();
    value1 = NIL;
    value2 = uint32_to_I(e);
    mv_count=2;
  }
  else
  {
    value1 = T;
    mv_count=1;
  }
  return;
}
